Upload SAP2000 Model
POST
/api/uploadUpload a .s2k or .$2k file, parse it, and receive a viewer redirect path for the created model.
Request
Bodyrequired
multipart/form-data
Body_upload_file_api_upload_postobject
| Property | Type | Required |
|---|---|---|
file | binary | yes |
Raw schema
{
"properties": {
"file": {
"format": "binary",
"title": "File",
"type": "string"
}
},
"required": [
"file"
],
"title": "Body_upload_file_api_upload_post",
"type": "object"
}Responses
200Successful Response
application/json
UploadRedirectResponseobject
| Property | Type | Required |
|---|---|---|
redirect_url | string | yes |
Raw schema
{
"properties": {
"redirect_url": {
"title": "Redirect Url",
"type": "string"
}
},
"required": [
"redirect_url"
],
"title": "UploadRedirectResponse",
"type": "object"
}422Validation Error
application/json
HTTPValidationErrorobject
| Property | Type | Required |
|---|---|---|
detail | object[] | no |
Raw schema
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"title": "Location",
"type": "array"
},
"msg": {
"title": "Message",
"type": "string"
},
"type": {
"title": "Error Type",
"type": "string"
}
},
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError",
"type": "object"
},
"title": "Detail",
"type": "array"
}
},
"title": "HTTPValidationError",
"type": "object"
}